//=============================================================================
// InterceptorMissile.
//=============================================================================
class InterceptorMissile extends Rocket;

auto simulated state Flying
{
	simulated function ProcessTouch (Actor Other, Vector HitLocation)
	{
		if (Other.IsA('DeusExProjectile'))
			if(!DeusExProjectile(Other).bIgnoresNanoDefense)
			{
				DeusExProjectile(Other).Explode(HitLocation, vect(0,0,0));
				Explode(HitLocation, vect(0,0,0));
			}
		Super.ProcessTouch(Other, HitLocation);
	}
}


simulated function ProcessTouch (Actor Other, Vector HitLocation)
{
	if (Other.IsA('DeusExProjectile'))
		if(!DeusExProjectile(Other).bIgnoresNanoDefense)
		{
			DeusExProjectile(Other).Explode(HitLocation, vect(0,0,0));
			Explode(HitLocation, vect(0,0,0));
		}
	Super.ProcessTouch(Other, HitLocation);
}

defaultproperties
{
     blastRadius=10.000000
     bTracking=False
     Speed=4000
     MaxSpeed=5000
     MaxRange=10000
     Damage=5.000000
     MomentumTransfer=5000
     SpawnSound=Sound'DeusExSounds.Robot.RobotFireRocket'
     Mesh=LodMesh'DeusExItems.RocketLAW'
     DrawScale=0.2500000
     CollisionRadius=10
     CollisionHeight=10
     bCollideActors=True
     bBlockActors=True
     bProjTarget=True
}
